package proxy.network;

import java.io.IOException;

import proxy.handler.Handler;

public interface Packet<T extends Handler> {
	void readPacketData(PacketBuffer buf) throws IOException;
	void writePacketData(PacketBuffer buf) throws IOException;
	void processPacket(T handler);
}
