package proxy.packet;

import java.util.Map;

public final class Stack {
	private final short id;
	private final byte size;
	private final short meta;
	private final Map<String, Object> tag;

	public Stack(short id, byte size, short meta, Map<String, Object> tag) {
		this.id = id;
		this.size = size;
		this.meta = meta;
		this.tag = tag;
	}

	public short getId() {
		return this.id;
	}

	public byte getSize() {
		return this.size;
	}

	public short getMeta() {
		return this.meta;
	}

	public Map<String, Object> getTag() {
		return this.tag;
	}
}
