package proxy.command;

import proxy.Proxy;
import proxy.handler.ProxyHandler;

public class CommandReload extends Command {
	public String getName() {
		return "reload";
	}
	
	public String getHelp() {
		return "Reloads the proxy config";
	}
	
	public void run(Proxy proxy, ProxyHandler player, String[] args) {
		proxy.loadConfig();
		sendInfo(player, "Configuration reloaded");
	}
}
