package proxy.command;

import proxy.Proxy;
import proxy.handler.ProxyHandler;
import proxy.packet.C01PacketChatMessage;

public class CommandSave extends Command {
	public String getName() {
		return "save";
	}
	
	public String getHelp() {
		return "Saves all worlds";
	}

	public boolean canUse(ProxyHandler player) {
		return player != null && super.canUse(player);
	}

	public void run(Proxy proxy, ProxyHandler player, String[] args) {
		player.sendToServer(new C01PacketChatMessage("/save-all"));
	}
}
