package proxy.command;

import proxy.Proxy;
import proxy.handler.ProxyHandler;
import proxy.packet.C01PacketChatMessage;

public class CommandSeed extends Command {
	public String getName() {
		return "seed";
	}
	
	public String getHelp() {
		return "Displays the world seed";
	}

	public boolean canUse(ProxyHandler player) {
		return player != null && super.canUse(player);
	}

	public void run(Proxy proxy, ProxyHandler player, String[] args) {
		player.sendToServer(new C01PacketChatMessage("/seed"));
	}
}
